SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0000356: Active Directory NTLM auth does not use BDC - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000356Endian FirewallApplication Level Proxiespublic2007-11-28 17:552007-12-31 19:11
Reporterpeter-endian 
Assigned Tosimon-endian 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-beta1 
Target VersionFixed in Version2.2-beta2 
Summary0000356: Active Directory NTLM auth does not use BDC
DescriptionBDC will not be used when PDC fails

in /etc/samba/smb.conf.tmpl the line
password server = $NTLM_PDC
need to be
password server = $NTLM_PDC $NTLM_BDC
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000672)
peter-endian (administrator)
2007-11-28 18:07

probably we need also a:
[realms]
 $AUTH_REALM = {
  kdc = $NTLM_PDC
#if $NTLM_BDC
  kdc = $NTLM_BDC
#end if
 }
within /etc/krb5.conf.tmpl

an example krb.conf file is here:
http://web.mit.edu/kerberos/krb5-1.5/krb5-1.5.1/doc/krb5-admin/Sample-krb5.conf-File.html#Sample%20krb5.conf%20File [^]
(0000673)
peter-endian (administrator)
2007-11-29 00:18

both, entry in smb.conf and krb5.cong works, it's basically tested
the #if is untested and is maybe not accurate
(0000681)
simon-endian (developer)
2007-12-03 16:32

added BDC to password server in smb.conf.tmpl

- Issue History
Date Modified Username Field Change
2007-11-28 17:55 peter-endian New Issue
2007-11-28 18:07 peter-endian Note Added: 0000672
2007-11-28 18:10 peter-endian Status new => assigned
2007-11-28 18:10 peter-endian Assigned To => ra-endian
2007-11-29 00:18 peter-endian Note Added: 0000673
2007-11-29 00:18 peter-endian Status assigned => confirmed
2007-12-03 16:27 peter-endian Status confirmed => assigned
2007-12-03 16:27 peter-endian Assigned To ra-endian => simon-endian
2007-12-03 16:32 simon-endian Status assigned => resolved
2007-12-03 16:32 simon-endian Fixed in Version => 2.2
2007-12-03 16:32 simon-endian Resolution open => fixed
2007-12-03 16:32 simon-endian Note Added: 0000681
2007-12-31 15:05 raphael-endian Fixed in Version 2.2-beta1 => 2.2-beta2
2007-12-31 19:11 raphael-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker